Skip to main content
`Ctrl`+`K`

# DMPlexMetricNoMovement

Is node movement turned off?

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricNoMovement(DM dm, PetscBool *noMove)

## Input Parameters

- dm - The `DM`

## Output Parameters

- noMove - Is node movement turned off?

## Note

This is only used by Mmg and ParMmg (not Pragmatic).

## See Also

`DMPLEX`, `DMPlexMetricSetNoMovement()`, `DMPlexMetricNoInsertion()`, `DMPlexMetricNoSwapping()`, `DMPlexMetricNoSurf()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages